org.gcube.datacatalogue.grsf_manage_widget.shared

## Enum GRSFStatus

- java.lang.Object
- - java.lang.Enum<GRSFStatus>
  - - org.gcube.datacatalogue.grsf_manage_widget.shared.GRSFStatus

All Implemented Interfaces:
  Serializable, Comparable<GRSFStatus>

    public enum GRSFStatus
    extends Enum<GRSFStatus>

Status of a grsf record.

Author:
  Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPROVED`
`ARCHIVED`
`HIDDEN`
`PENDING`
`REJECTED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GRSFStatus` `fromString(String string)`
`String` `toString()`
`static GRSFStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GRSFStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### APPROVED

    public static final GRSFStatus APPROVED

#### REJECTED

    public static final GRSFStatus REJECTED

#### PENDING

    public static final GRSFStatus PENDING

#### ARCHIVED

    public static final GRSFStatus ARCHIVED

#### HIDDEN

    public static final GRSFStatus HIDDEN

### Method Detail

#### values

    public static GRSFStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GRSFStatus c : GRSFStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GRSFStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<GRSFStatus>`

#### fromString

    public static GRSFStatus fromString(String string)